## snakemake 5.14.0

=== debian/changelog ===
snakemake (5.14.0-1) unstable; urgency=medium

  [ Andreas Tille ]
  * New upstream version
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Rebecca N. Palmer ]
  * Use Python 3 in subprocess calls.
  * Fix buggy test (upstream 322).
  * Disable tests needing conda or docker.
  * Delete unused patches.
  * Use boto3 (like upstream) not boto.
  * Reproducibility: don't ship (timestamped) test logs.
  * Add self to Uploaders.
  * Update d/copyright, remove no longer needed Files-Excluded.
  * Enable verbose test output.
  * Update dependencies, add minimal-Depends test.
  * Privacy: use local dagre-d3, add missing Javascript dependencies,
    don't appear to show live status when we don't.
  * Use https for links where available.
  * Remove inconveniently licensed (CC-BY-SA) snippets.
  * Install examples.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sat, 25 Apr 2020 19:10:20 +0100

snakemake (5.10.0-3) unstable; urgency=medium

  [ Rebecca N. Palmer ]
  * Exclude lazy_property to make Sphinx succeed.
    Closes: #955056

 -- Andreas Tille <tille@debian.org>  Thu, 09 Apr 2020 11:09:24 +0200

=== debian/control ===
Source: snakemake
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Kevin Murray <kdmfoss@gmail.com>, Rebecca N. Palmer <rebecca_palmer@zoho.com>
Section: science
Priority: optional
Build-Depends: ca-certificates,
               cwltool,
               debhelper-compat (= 12),
               dh-python,
               imagemagick,
               python3,
               python3-appdirs,
               python3-biopython,
               python3-boto3,
               python3-botocore,
               python3-configargparse,
               python3-datrie,
               python3-docutils,
               python3-dropbox,
               python3-flask,
               python3-git,
               python3-jinja2,
               python3-jsonschema,
               python3-nbformat,
               python3-networkx,
               python3-pandas,
               python3-pkg-resources,
               python3-psutil,
               python3-pygments,
               python3-pygraphviz,
               python3-pytest,
               python3-pytest-xdist,
               python3-pytools,
               python3-ratelimiter,
               python3-recommonmark <!nodoc>,
               python3-requests,
               python3-rpy2,
               python3-setuptools,
               python3-sphinx <!nodoc>,
               python3-sphinx-argparse <!nodoc>,
               python3-sphinx-bootstrap-theme <!nodoc>,
               python3-sphinx-rtd-theme <!nodoc>,
               python3-toposort,
               python3-wrapt,
               python3-yaml,
               r-cran-rmarkdown,
               stress
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/med-team/snakemake
Vcs-Git: https://salsa.debian.org/med-team/snakemake.git
Homepage: https://snakemake.readthedocs.io/
Rules-Requires-Root: no

Package: snakemake
Architecture: all
Depends: ca-certificates,
         libjs-bootstrap,
         libjs-d3,
         libjs-jquery,
         libjs-mathjax,
         node-dagre-d3-renderer,
         python3-appdirs,
         python3-configargparse,
         python3-datrie,
         python3-docutils,
         python3-git,
         python3-jsonschema,
         python3-nbformat,
         python3-pkg-resources,
         python3-psutil,
         python3-ratelimiter,
         python3-requests,
         python3-toposort,
         python3-wrapt,
         python3-yaml,
         ${misc:Depends},
         ${python3:Depends},
         ${sphinxdoc:Depends}
Recommends: cwltool,
            imagemagick,
            python3-tz,
            python3-yappi,
# for the reports feature
            python3-jinja2,
            python3-networkx,
            python3-pygments,
            python3-pygraphviz,
# for distributed / cloud setups or online data access
            python3-azure-storage,
            python3-biopython,
            python3-boto3,
            python3-botocore,
            python3-drmaa,
            python3-dropbox,
            python3-flask,
            python3-ftputil,
            python3-irodsclient,
            python3-kubernetes,
            python3-urllib3
Description: pythonic workflow management system
 Build systems like GNU Make are frequently used to create complicated
 workflows, e.g. in bioinformatics. This project aims to reduce the
 complexity of creating workflows by providing a clean and modern domain
 specific language (DSL) in Python style, together with a fast and
 comfortable execution environment.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
# export DH_VERBOSE = 1

export HOME=$(CURDIR)/fakehome
export PYBUILD_NAME=snakemake
export PYBUILD_DESTDIR_python3=debian/snakemake
export PYBUILD_BEFORE_TEST_python3=chmod +x {dir}/bin/snakemake; cp -r {dir}/bin {dir}/tests {build_dir}
export PYBUILD_TEST_ARGS=python{version} -m pytest -v tests/test*.py -n auto -k 'not report and not ancient and not test_script and not default_remote and not issue635 and not convert_to_cwl and not issue1083 and not issue1092 and not issue1093 and not test_remote and not test_default_resources and not test_tibanna and not test_github_issue78 and not test_output_file_cache_remote and not test_env_modules and not test_archive and not test_container'

# test_report
# test_ancient
# test_script requires conda; manually disabling conda show the need for the binary 'julia'
# test_default_remote requires network access
# test_issue634 requires conda, but passes when conda is turned off manually
# test_convert_to_cwl tries to build a singularity format software image from docker://quay.io/snakemake/snakemake:v5.5.4
# test_issue1083 tries to build a singularity format software image from docker://bash
# test_issue1093 fails due to conda usage; commenting that out and installing bwa produces a different ordering than desired
# test_default_resources and test_remote needs moto to be packaged https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=777089
# test_env_modules relies on "module load" which is not packaged for Debian
# test_archive uses conda
# test_container uses docker://bash

export PYBUILD_AFTER_TEST_python3=rm -fr {build_dir}/bin {build_dir}/tests {dir}/tests/test_filegraph/.snakemake/ {dir}/tests/linting/*/.snakemake/

export PATH:=$(shell pybuild --print build_dir --interpreter python3 --name $(PYBUILD_NAME))/bin:$(PATH)

# Force the use of python3's sphinx-build.
export SPHINXBUILD=/usr/share/sphinx/scripts/python3/sphinx-build

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PATH=$(shell pybuild --print build_dir --interpreter python3)/bin:$(PATH) \
	PYTHONPATH=$(shell pybuild --print build_dir --interpreter python3) \
		python3 setup.py build_sphinx

override_dh_auto_install:
	dh_auto_install
	find . -name '__pycache__' | xargs rm -Rf
	find . -name '*.pyc' | xargs rm -Rf
	find debian -name '.gitignore' | xargs rm -Rf

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	mkdir -p $(CURDIR)/fakehome
	PYBUILD_SYSTEM=custom dh_auto_test
endif

=== debian/tests/control ===
# minimal Depends smoke test
Test-Command: cp tests/test_bash/Snakefile $AUTOPKGTEST_TMP && cd $AUTOPKGTEST_TMP && snakemake --cores 1 && grep -e bash test.out
Depends: snakemake
Restrictions: allow-stderr

# upstream's tests
Tests: run-unit-test
Depends: snakemake, python3-pandas, python3-pytest-xdist, python3-pygraphviz, stress
Restrictions: allow-stderr

## snakemake 5.16.0

=== debian/changelog ===
snakemake (5.16.0-1) unstable; urgency=medium

  * New upstream release.  Drop / refresh patches.
  * Stop using pytest-xdist: it sometimes starts tests from
    a non-main thread, which breaks snakemake.
  * Dockerfile: fix remote root-in-container security hole.
  * Skip a new conda-using test.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Mon, 04 May 2020 12:16:03 +0100

## snakemake 5.17.0

=== debian/changelog ===
snakemake (5.17.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * d/p/security.patch: adopted upstream - removed

 -- Steffen Moeller <moeller@debian.org>  Sat, 09 May 2020 17:26:55 +0200

=== debian/control ===
--- 
+++ 
@@ -29,7 +29,7 @@
                python3-pygments,
                python3-pygraphviz,
                python3-pytest,
-               python3-pytest-xdist,
+# fails tests on arm64 https://github.com/pytest-dev/pytest-xdist/issues/469 python3-pytest-xdist,
                python3-pytools,
                python3-ratelimiter,
                python3-recommonmark <!nodoc>,

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 export PYBUILD_NAME=snakemake
 export PYBUILD_DESTDIR_python3=debian/snakemake
 export PYBUILD_BEFORE_TEST_python3=chmod +x {dir}/bin/snakemake; cp -r {dir}/bin {dir}/tests {build_dir}
-export PYBUILD_TEST_ARGS=python{version} -m pytest -v tests/test*.py -n auto -k 'not report and not ancient and not test_script and not default_remote and not issue635 and not convert_to_cwl and not issue1083 and not issue1092 and not issue1093 and not test_remote and not test_default_resources and not test_tibanna and not test_github_issue78 and not test_output_file_cache_remote and not test_env_modules and not test_archive and not test_container'
+export PYBUILD_TEST_ARGS=python{version} -m pytest -v tests/test*.py -k 'not report and not ancient and not test_script and not default_remote and not issue635 and not convert_to_cwl and not issue1083 and not issue1092 and not issue1093 and not test_remote and not test_default_resources and not test_tibanna and not test_github_issue78 and not test_output_file_cache_remote and not test_env_modules and not test_archive and not test_container and not test_jupyter_notebook'
 
 # test_report
 # test_ancient
@@ -19,7 +19,7 @@
 # test_issue1093 fails due to conda usage; commenting that out and installing bwa produces a different ordering than desired
 # test_default_resources and test_remote needs moto to be packaged https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=777089
 # test_env_modules relies on "module load" which is not packaged for Debian
-# test_archive uses conda
+# test_archive, test_jupyter_notebook use conda
 # test_container uses docker://bash
 
 export PYBUILD_AFTER_TEST_python3=rm -fr {build_dir}/bin {build_dir}/tests {dir}/tests/test_filegraph/.snakemake/ {dir}/tests/linting/*/.snakemake/

## snakemake 5.18.1

=== debian/changelog ===
snakemake (5.18.1-1) unstable; urgency=medium

  * New upstream release.  Refresh patches, update override path.
  * Docs: work around Sphinx bug 7516.
  * Skip more tests with not-in-Debian dependencies.
  * Bump dephelper compat to 13, remove now-builtin rules.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 31 May 2020 10:54:51 +0100

## snakemake 5.19.2

=== debian/changelog ===
snakemake (5.19.2-1) unstable; urgency=medium

  * New upstream release.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Tue, 09 Jun 2020 18:32:35 +0100

## snakemake 5.19.3

=== debian/changelog ===
snakemake (5.19.3-1) unstable; urgency=medium

  * New upstream release.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 28 Jun 2020 22:38:45 +0100

## snakemake 5.20.1

=== debian/changelog ===
snakemake (5.20.1-1) unstable; urgency=medium

  * New upstream release.  Refresh patches.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Wed, 15 Jul 2020 08:32:43 +0100

## snakemake 5.22.1

=== debian/changelog ===
snakemake (5.22.1-1) unstable; urgency=medium

  * New upstream release.  Refresh patches.
  * Update Lintian overrides.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 16 Aug 2020 14:04:24 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Priority: optional
 Build-Depends: ca-certificates,
                cwltool,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                dh-python,
                imagemagick,
                python3,
@@ -29,7 +29,7 @@
                python3-pygments,
                python3-pygraphviz,
                python3-pytest,
-# fails tests on arm64 https://github.com/pytest-dev/pytest-xdist/issues/469 python3-pytest-xdist,
+# sometimes fails tests https://github.com/pytest-dev/pytest-xdist/issues/469 python3-pytest-xdist,
                python3-pytools,
                python3-ratelimiter,
                python3-recommonmark <!nodoc>,

=== debian/rules ===
--- 
+++ 
@@ -3,11 +3,10 @@
 # output every command that modifies files on the build system.
 # export DH_VERBOSE = 1
 
-export HOME=$(CURDIR)/fakehome
 export PYBUILD_NAME=snakemake
 export PYBUILD_DESTDIR_python3=debian/snakemake
 export PYBUILD_BEFORE_TEST_python3=chmod +x {dir}/bin/snakemake; cp -r {dir}/bin {dir}/tests {build_dir}
-export PYBUILD_TEST_ARGS=python{version} -m pytest -v tests/test*.py -k 'not report and not ancient and not test_script and not default_remote and not issue635 and not convert_to_cwl and not issue1083 and not issue1092 and not issue1093 and not test_remote and not test_default_resources and not test_tibanna and not test_github_issue78 and not test_output_file_cache_remote and not test_env_modules and not test_archive and not test_container and not test_jupyter_notebook'
+export PYBUILD_TEST_ARGS=python{version} -m pytest -v tests/test*.py -k 'not report and not ancient and not test_script and not default_remote and not issue635 and not convert_to_cwl and not issue1083 and not issue1092 and not issue1093 and not test_remote and not test_default_resources and not test_tibanna and not test_github_issue78 and not test_output_file_cache_remote and not test_env_modules and not test_archive and not test_container and not test_jupyter_notebook and not test_conda and not test_upstream_conda and not test_conda_custom_prefix and not test_wrapper'
 
 # test_report
 # test_ancient
@@ -19,7 +18,8 @@
 # test_issue1093 fails due to conda usage; commenting that out and installing bwa produces a different ordering than desired
 # test_default_resources and test_remote needs moto to be packaged https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=777089
 # test_env_modules relies on "module load" which is not packaged for Debian
-# test_archive, test_jupyter_notebook use conda
+# test_archive, test_jupyter_notebook, test_conda, test_upstream_conda, test_conda_custom_prefix use conda
+# test_wrapper uses conda and a downloaded file
 # test_container uses docker://bash
 
 export PYBUILD_AFTER_TEST_python3=rm -fr {build_dir}/bin {build_dir}/tests {dir}/tests/test_filegraph/.snakemake/ {dir}/tests/linting/*/.snakemake/
@@ -45,7 +45,4 @@
 	find debian -name '.gitignore' | xargs rm -Rf
 
 override_dh_auto_test:
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	mkdir -p $(CURDIR)/fakehome
 	PYBUILD_SYSTEM=custom dh_auto_test
-endif

=== debian/tests/control ===
--- 
+++ 
@@ -5,5 +5,5 @@
 
 # upstream's tests
 Tests: run-unit-test
-Depends: snakemake, python3-pandas, python3-pytest-xdist, python3-pygraphviz, stress
+Depends: snakemake, python3-pandas, python3-pytest, python3-pygraphviz, stress
 Restrictions: allow-stderr

## snakemake 5.24.1

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from https://www.sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Snakemake.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Snakemake.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Snakemake"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Snakemake"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== tests/test_remote_irods/Makefile ===
.PHONY: run build touch stop test

build:
	docker build -t irods-server .

run: build
	docker run \
		-d \
		-p 1247:1247 \
		--name provider \
		irods-server \
			-i run_irods
	sleep 10
	docker exec -u irods provider \
		iput /incoming/infile

touch:
	docker exec -u irods provider \
		iput /incoming/infile -f

stop:
	docker ps -a \
	| grep provider \
	| cut -d ' ' -f 1 \
	| xargs -I{} \
		bash -c "docker stop {}; docker rm {}"

ls:
	docker exec -u irods provider ils -l

=== debian/changelog ===
snakemake (5.24.1-2) unstable; urgency=medium

  * Team upload.
  * Skip tests accessing remote locations
    Closes: #986768

 -- Andreas Tille <tille@debian.org>  Mon, 12 Apr 2021 17:17:32 +0200

snakemake (5.24.1-1) unstable; urgency=medium

  * New upstream release.  Refresh patches.
  * Depend on python3-pulp << 2.0.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 13 Sep 2020 16:46:02 +0100

snakemake (5.23.0-1) unstable; urgency=medium

  * New upstream release.
  * Add new dependency python3-pulp.
  * Remove unnecessary test skips, and document remaining ones.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sat, 29 Aug 2020 11:46:20 +0100

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
                cwltool,
                debhelper-compat (= 13),
                dh-python,
+               environment-modules,
                imagemagick,
                python3,
                python3-appdirs,
@@ -26,6 +27,7 @@
                python3-pandas,
                python3-pkg-resources,
                python3-psutil,
+               python3-pulp,
                python3-pygments,
                python3-pygraphviz,
                python3-pytest,
@@ -68,6 +70,7 @@
          python3-nbformat,
          python3-pkg-resources,
          python3-psutil,
+         python3-pulp (<< 2.0~),
          python3-ratelimiter,
          python3-requests,
          python3-toposort,

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
# export DH_VERBOSE = 1

export PYBUILD_NAME=snakemake
export PYBUILD_DESTDIR_python3=debian/snakemake
export PYBUILD_BEFORE_TEST_python3=chmod +x {dir}/bin/snakemake; cp -r {dir}/bin {dir}/tests {build_dir}
export PYBUILD_TEST_ARGS=python{version} -m pytest -v tests/test*.py -k 'not test_cwl and not test_cwl_singularity and not test_url_include and not test_wrapper and not test_issue1083 and not test_github_issue78 and not test_container and not test_singularity and not test_singularity_conda and not test_convert_to_cwl and not test_report and not test_report_zip and not test_archive and not test_jupyter_notebook and not test_conda and not test_upstream_conda and not test_conda_custom_prefix and not test_script and not test_issue635 and not test_issue1093 and not test_default_resources and not test_default_remote and not test_remote and not test_output_file_cache_remote and not test_tibanna and not test_ancient'

# Skipped because they download executables (which is forbidden in Debian buildd and debci)
# Snakefile/snakemake-wrapper/CWL scripts: test_cwl, test_cwl_singularity, test_url_include, test_wrapper
# Docker images: test_issue1083, test_github_issue78, test_container, test_singularity, test_singularity_conda, test_cwl_singularity, test_convert_to_cwl, test_report, test_report_zip
# Conda packages: test_archive, test_jupyter_notebook, test_conda, test_upstream_conda, test_conda_custom_prefix, test_wrapper, test_script, test_issue635, test_issue1093, test_singularity_conda, test_report, test_report_zip
# Note that even if conda were added to Debian (ITP #926416), using it normally would still be downloading executables = forbidden
# Modification to run without conda was previously attempted on test_issue635 (succeeded) and test_issue1093 (failed as current bwa gives a different ordering), but is not in current use

# Skipped due to not-in-Debian dependencies
# python3-moto (RFP #777089): test_default_resources, test_default_remote, test_remote, test_output_file_cache_remote
# python3-tibanna: test_tibanna

# Skipped in build due to network use, but run in autopkgtest: test_ancient
# Tests marked @connected skip themselves in this case

export PYBUILD_AFTER_TEST_python3=rm -fr {build_dir}/bin {build_dir}/tests {dir}/tests/test_filegraph/.snakemake/ {dir}/tests/linting/*/.snakemake/

export PATH:=$(shell pybuild --print build_dir --interpreter python3 --name $(PYBUILD_NAME))/bin:$(PATH)

# Force the use of python3's sphinx-build.
export SPHINXBUILD=/usr/share/sphinx/scripts/python3/sphinx-build

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PATH=$(shell pybuild --print build_dir --interpreter python3)/bin:$(PATH) \
	PYTHONPATH=$(shell pybuild --print build_dir --interpreter python3) \
		python3 setup.py build_sphinx

override_dh_auto_install:
	dh_auto_install
	find . -name '__pycache__' | xargs rm -Rf
	find . -name '*.pyc' | xargs rm -Rf
	find debian -name '.gitignore' | xargs rm -Rf

# the modules.sh is a workaround for #928826; putting it in PYBUILD_BEFORE_TEST_python3 doesn't work
override_dh_auto_test:
	. /etc/profile.d/modules.sh && PYBUILD_SYSTEM=custom dh_auto_test

=== debian/tests/control ===
--- 
+++ 
@@ -5,5 +5,10 @@
 
 # upstream's tests
 Tests: run-unit-test
-Depends: snakemake, python3-pandas, python3-pytest, python3-pygraphviz, stress
+Depends: snakemake,
+         environment-modules,
+         python3-pygraphviz,
+         python3-pandas,
+         python3-pytest,
+         stress
 Restrictions: allow-stderr

## snakemake 6.9.1+dfsg1

=== debian/changelog ===
snakemake (6.9.1+dfsg1-4) unstable; urgency=medium

  * Team Upload.
  * Add patch to make build reproducible (Closes: #997000)
    + Thanks to Chris Lamb!

 -- Nilesh Patra <nilesh@debian.org>  Sun, 24 Oct 2021 00:18:19 +0530

snakemake (6.9.1+dfsg1-3) unstable; urgency=medium

  * Team Upload.
  * d/t/control:
    + Comment another instance of snakemake-doc
    + Add python3-requests-mock and python3-jinja2 to test deps
  * d/t/run-unit-tests:
    + Exclude couple of tests (similar as build time)
  * d/copyright, d/rules, d/connection_pool.py:
    + Hack around to install connection_pool.py as file, and use
      the same

 -- Nilesh Patra <nilesh@debian.org>  Wed, 20 Oct 2021 12:31:52 +0530

snakemake (6.9.1+dfsg1-2) unstable; urgency=medium

  * Team upload.
  * Removing .snakemake folders from .deb
  * Separated documentation and tests into -doc package

 -- Steffen Moeller <moeller@debian.org>  Tue, 19 Oct 2021 19:47:19 +0200

snakemake (6.9.1+dfsg1-1) unstable; urgency=medium

  * Team upload.

  [ Andreas Tille ]
  * Fix watchfile to detect new versions on github
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test target (routine-
    update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Build-Depends: python3-requests-mock

  [ Nilesh Patra ]
  * d/control:
    + Add versioned Dep on pulp (>= 2.0)
    + Add B-D on python3-smart-open

  [ Steffen Moeller ]
  * Unselected tests needing internet access
  * fixing one calling pytest -> pytest-3
  * d/rules: Allowing consecutive builds with better cleaning
  * Added d/TODO to remind about missing "tes" Python module

 -- Nilesh Patra <nilesh@debian.org>  Tue, 19 Oct 2021 16:32:04 +0200

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
# export DH_VERBOSE = 1

export PYBUILD_NAME=snakemake
export PYBUILD_DESTDIR_python3=debian/snakemake
export PYBUILD_BEFORE_TEST_python3=chmod +x {dir}/bin/snakemake; cp -r {dir}/bin {dir}/tests {build_dir}
export PYBUILD_TEST_ARGS=python{version} -m pytest -v tests/test*.py -k 'not test_cwl and not test_cwl_singularity and not test_url_include and not test_wrapper and not test_issue1083 and not test_github_issue78 and not test_container and not test_singularity and not test_singularity_conda and not test_convert_to_cwl and not test_report and not test_report_zip and not test_archive and not test_jupyter_notebook and not test_conda and not test_upstream_conda and not test_conda_custom_prefix and not test_script and not test_issue635 and not test_issue1093 and not test_default_resources and not test_default_remote and not test_remote and not test_output_file_cache_remote and not test_tibanna and not test_ancient and not test_module_complex and not test_module_complex2 and not test_module_with_script and not test_module_report and not test_github_issue1062 and not test_env_modules and not test_modules_meta_wrapper and not test_tes'

# Avoiding new queue and leaving all in one big package for now
#DOCPACKAGE=snakemake-doc
#TESTPACKAGE=snakemake-test
DOCPACKAGE=snakemake
TESTPACKAGE=snakemake

# Skipped because they download executables (which is forbidden in Debian buildd and debci)
# Snakefile/snakemake-wrapper/CWL scripts: test_cwl, test_cwl_singularity, test_url_include, test_wrapper
# Docker images: test_issue1083, test_github_issue78, test_container, test_singularity, test_singularity_conda, test_cwl_singularity, test_convert_to_cwl, test_report, test_report_zip
# Conda packages: test_archive, test_jupyter_notebook, test_conda, test_upstream_conda, test_conda_custom_prefix, test_wrapper, test_script, test_issue635, test_issue1093, test_singularity_conda, test_report, test_report_zip
# Note that even if conda were added to Debian (ITP #926416), using it normally would still be downloading executables = forbidden
# Modification to run without conda was previously attempted on test_issue635 (succeeded) and test_issue1093 (failed as current bwa gives a different ordering), but is not in current use

# Skipped due to not-in-Debian dependencies
# python3-moto (RFP #777089): test_default_resources, test_default_remote, test_remote, test_output_file_cache_remote
# python3-tibanna: test_tibanna

# Skipped in build due to network use, but run in autopkgtest: test_ancient
# Tests marked @connected skip themselves in this case

export PYBUILD_AFTER_TEST_python3=rm -fr {build_dir}/bin {build_dir}/tests {dir}/tests/test_filegraph/.snakemake/ {dir}/tests/linting/*/.snakemake/ {dir}/tests/test_filegraph/fg.pdf

export PATH:=$(shell pybuild --print build_dir --interpreter python3 --name $(PYBUILD_NAME))/bin:$(PATH)

# Force the use of python3's sphinx-build.
export SPHINXBUILD=/usr/share/sphinx/scripts/python3/sphinx-build

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

execute_before_dh_auto_configure:
	cp debian/connection_pool.py $(CURDIR)/snakemake/report/

override_dh_auto_build:
	dh_auto_build
	PATH=$(shell pybuild --print build_dir --interpreter python3)/bin:$(PATH) \
	PYTHONPATH=$(shell pybuild --print build_dir --interpreter python3) \
		python3 setup.py build_sphinx

execute_after_dh_install:
	find debian/snakemake -name '.gitignore' | xargs -r rm

execute_after_dh_installdocs:
	find debian/ -name '__pycache__' -o -name '\.snakemake' | xargs rm -rf

# the modules.sh is a workaround for #928826; putting it in PYBUILD_BEFORE_TEST_python3 doesn't work
override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	. /etc/profile.d/modules.sh && PYBUILD_SYSTEM=custom dh_auto_test
endif

override_dh_installdocs:
	dh_installdocs
	rm -rf debian/$(DOCPACKAGE)/usr/share/doc/snakemake/html
	rm -rf debian/$(DOCPACKAGE)/usr/share/doc/snakemake/examples
	mkdir -p debian/$(DOCPACKAGE)/usr/share/doc/snakemake/html
	mkdir -p debian/$(DOCPACKAGE)/usr/share/doc/snakemake/examples
	cp -r build/sphinx/html/* debian/$(DOCPACKAGE)/usr/share/doc/snakemake/html/
	cp -r examples/* debian/$(DOCPACKAGE)/usr/share/doc/snakemake/examples
	find debian -name .snakemake | xargs -r rm -r
	find debian/snakemake -name '.gitignore' -o -name '.gitkeep' | xargs -r rm
	find debian/$(DOCPACKAGE) -name '.gitignore' -o -name '.gitkeep' | xargs -r rm
	rm -rf debian/*/usr/share/doc/snakemake/tests/__pycache__
ifneq (snakemake,$(TESTPACKAGE))
	if [ -d debian/snakemake/usr/share/doc/snakemake/tests/ ]; then \
	    mv debian/snakemake/usr/share/doc/snakemake/tests debian/$(TESTPACKAGE)/usr/share/doc/snakemake/ ; \
	fi
endif

override_dh_auto_clean:
	dh_auto_clean
	# eaasing transition between all-in-one and separate packages
	rm -rf debian/snakemake-doc debian/snakemake-test
	# cleaning up after build
	find . -name '__pycache__' | xargs -r rm -r
	find . -name '*.pyc' | xargs -r rm
	rm -f tests/test_filegraph/fg.pdf
	rm -f tests/test_filegraph/fg.dot
	rm -rf tests/test_github_issue413/.snakemake
	rm -f tests/test_github_issue413/stats.txt
	find tests/test_metadata_migration -name "path.txt" -delete
	find tests -name "*.log" | grep -v expected-results | xargs -r rm -f
	rm -rf .snakemake
	rm -rf tests/test_metadata_migration/.snakemake
	rm -rf snakemake.egg-info
	if [ ! -r bin/snakemake ]; then rm -rf bin; fi

=== debian/tests/control ===
# minimal Depends smoke test
Test-Command: cp tests/test_bash/Snakefile $AUTOPKGTEST_TMP && cd $AUTOPKGTEST_TMP && snakemake --cores 1 && grep -e bash test.out
#Depends: snakemake, snakemake-doc, snakemake-test
Depends: snakemake
Restrictions: allow-stderr

# upstream's tests
Tests: run-unit-test
Depends: snakemake,
#         snakemake-doc,
         environment-modules,
         python3-pygraphviz,
         python3-pandas,
         python3-pytest,
         python3-requests-mock,
         python3-jinja2,
         stress
Restrictions: allow-stderr

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg1,dversionmangle=auto,filenamemangle=s/(?:.*?)?v?(\d[\d.]*)\.tar\.gz/snakemake-$1.tar.gz/" \
  https://github.com/snakemake/snakemake/releases/latest .*/v?@ANY_VERSION@@ARCHIVE_EXT@

## snakemake 6.10.0+dfsg1

=== docs/requirements.txt ===
sphinx
sphinxcontrib-napoleon
sphinx-argparse
sphinx_rtd_theme
docutils
myst-parser
configargparse
appdirs

=== debian/changelog ===
snakemake (6.10.0+dfsg1-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 6.10.0+dfsg1
  * Re-diff patches

 -- Nilesh Patra <nilesh@debian.org>  Wed, 10 Nov 2021 01:10:16 +0530

## snakemake 6.12.3

=== debian/changelog ===
snakemake (6.12.3-1) unstable; urgency=medium

  * New upstream release.  Refresh patches.
  * Remove unnecessary repack.
  * Update d/copyright.
  * Use python3-connection-pool instead of an embedded copy.
  * Remove unsatisfiable Suggests.  Update and sort build/test-Depends.
  * Run the tests in a copy instead of trying to clean up after them.
  * Update Lintian overrides.
  * Don't try to use local Javascript in GUI, as this is risky.
  * Fix possibly broken local Javascript in documentation.
  * Merge TODO into README.source and update.
  * Fix some broken tests, and document still needed test skips.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Tue, 11 Jan 2022 21:22:44 +0000

=== debian/control ===
Source: snakemake
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Kevin Murray <kdmfoss@gmail.com>, Rebecca N. Palmer <rebecca_palmer@zoho.com>
Section: science
Priority: optional
Build-Depends: ca-certificates,
               cwltool,
               debhelper-compat (= 13),
               dh-python,
               environment-modules,
               imagemagick,
               python3,
               python3-appdirs <!nocheck>,
               python3-biopython <!nocheck>,
               python3-boto3 <!nocheck>,
               python3-botocore <!nocheck>,
               python3-configargparse,
               python3-connection-pool,
               python3-datrie,
               python3-docutils,
               python3-dropbox <!nocheck>,
               python3-filelock,
               python3-flask <!nocheck>,
               python3-git,
               python3-jinja2,
               python3-jsonschema,
               python3-nbformat,
               python3-networkx <!nocheck>,
               python3-pandas <!nocheck>,
               python3-pkg-resources,
               python3-psutil,
               python3-pulp (>= 2.0~),
               python3-pygments <!nocheck>,
               python3-pygraphviz <!nocheck>,
               python3-pytest <!nocheck>,
# sometimes fails tests https://github.com/pytest-dev/pytest-xdist/issues/469 python3-pytest-xdist,
               python3-pytools <!nocheck>,
               python3-ratelimiter,
               python3-recommonmark <!nodoc>,
               python3-requests,
               python3-requests-mock <!nocheck>,
               python3-rpy2 <!nocheck>,
               python3-setuptools,
               python3-smart-open (>= 3.0~),
               python3-sphinx (>= 3.0~) <!nodoc>,
               python3-sphinx-argparse <!nodoc>,
               python3-sphinx-bootstrap-theme <!nodoc>,
               python3-sphinx-rtd-theme <!nodoc>,
               python3-stopit,
               python3-tabulate,
               python3-toposort <!nocheck>,
               python3-wrapt,
               python3-yaml,
               r-cran-rmarkdown,
               stress <!nocheck>
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/med-team/snakemake
Vcs-Git: https://salsa.debian.org/med-team/snakemake.git
Homepage: https://snakemake.readthedocs.io/
Rules-Requires-Root: no

Package: snakemake
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         ${sphinxdoc:Depends},
         ca-certificates,
         libjs-mathjax,
         python3-appdirs,
         python3-configargparse,
         python3-datrie,
         python3-docutils,
         python3-git,
         python3-jsonschema,
         python3-nbformat,
         python3-pkg-resources,
         python3-psutil,
         python3-pulp (>= 2.0~),
         python3-ratelimiter,
         python3-requests,
         python3-toposort,
         python3-wrapt,
         python3-yaml,
Recommends: cwltool,
            imagemagick,
            python3-tz,
            python3-yappi,
# for the reports feature
            python3-jinja2,
            python3-networkx,
            python3-pygments,
            python3-pygraphviz,
# for distributed / cloud setups or online data access
            python3-azure-storage,
            python3-biopython,
            python3-boto3,
            python3-botocore,
            python3-connection-pool,
            python3-drmaa,
            python3-dropbox,
            python3-flask,
            python3-ftputil,
            python3-irodsclient,
            python3-kubernetes,
            python3-urllib3
#Suggests: snakemake-doc
Description: pythonic workflow management system
 Build systems like GNU Make are frequently used to create complicated
 workflows, e.g. in bioinformatics. This project aims to reduce the
 complexity of creating workflows by providing a clean and modern domain
 specific language (DSL) in Python style, together with a fast and
 comfortable execution environment.


#Package: snakemake-doc
#Architecture: all
#Depends: ${misc:Depends},
#         ${sphinxdoc:Depends}
#Recommends: snakemake
#Description: documentation for pythonic workflow management system
# Build systems like GNU Make are frequently used to create complicated
# workflows, e.g. in bioinformatics. This project aims to reduce the
# complexity of creating workflows by providing a clean and modern domain
# specific language (DSL) in Python style, together with a fast and
# comfortable execution environment.
# .
# This package provides the Sphinx-generated documentation and examples.
#
#Package: snakemake-test
#Architecture: all
#Depends: ${misc:Depends},
#Recommends: snakemake
#Description: tests for pythonic workflow management system
# Build systems like GNU Make are frequently used to create complicated
# workflows, e.g. in bioinformatics. This project aims to reduce the
# complexity of creating workflows by providing a clean and modern domain
# specific language (DSL) in Python style, together with a fast and
# comfortable execution environment.
# .
# This package provides files for the automated testing of snakemake.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
# export DH_VERBOSE = 1

export PYBUILD_NAME=snakemake
export PYBUILD_DESTDIR_python3=debian/snakemake
# copy the tests and run them from there to avoid having to clean up after them
export PYBUILD_BEFORE_TEST_python3=chmod +x {dir}/bin/snakemake; cp -r {dir}/bin {dir}/tests {build_dir}
export PYBUILD_AFTER_TEST_python3=rm -fr {build_dir}/bin {build_dir}/tests
export PYBUILD_TEST_ARGS=python{version} -m pytest -v {build_dir}/tests/test*.py -k 'not test_cwl and not test_cwl_singularity and not test_url_include and not test_wrapper and not test_issue1083 and not test_github_issue78 and not test_container and not test_singularity and not test_singularity_conda and not test_convert_to_cwl and not test_report and not test_report_zip and not test_archive and not test_jupyter_notebook and not test_conda and not test_upstream_conda and not test_conda_custom_prefix and not test_script and not test_issue635 and not test_issue1093 and not test_default_resources and not test_default_remote and not test_remote and not test_output_file_cache_remote and not test_tibanna and not test_ancient and not test_module_complex and not test_module_complex2 and not test_module_with_script and not test_module_report and not test_modules_meta_wrapper and not test_tes and not test_github_issue1062 and not test_env_modules'

# Avoiding new queue and leaving all in one big package for now
#DOCPACKAGE=snakemake-doc
#TESTPACKAGE=snakemake-test
DOCPACKAGE=snakemake
TESTPACKAGE=snakemake

# Skipped because they download executables (which is forbidden in Debian buildd and debci)
# Snakefile/snakemake-wrapper/CWL scripts: test_cwl, test_cwl_singularity, test_url_include, test_wrapper, test_module_with_script, test_module_report, test_module_complex(2), test_modules_meta_wrapper
# Docker images: test_issue1083, test_github_issue78, test_container, test_singularity, test_singularity_conda, test_cwl_singularity, test_convert_to_cwl, test_report, test_report_zip, test_module_complex(2)
# Conda packages: test_archive, test_jupyter_notebook, test_conda, test_upstream_conda, test_conda_custom_prefix, test_wrapper, test_script, test_issue635, test_issue1093, test_singularity_conda, test_report, test_report_zip
# Note that even if conda were added to Debian (ITP #926416), using it normally would still be downloading executables = forbidden
# Modification to run without conda was previously attempted on test_issue635 (succeeded) and test_issue1093 (failed as current bwa gives a different ordering), but is not in current use

# Skipped due to not-in-Debian dependencies
# python3-moto (RFP #777089): test_default_resources, test_default_remote, test_remote, test_output_file_cache_remote
# python3-tibanna: test_tibanna (possibly also specific to one cloud provider?)
# python3-tes: test_tes

# Skipped in build due to network use, but run in autopkgtest: test_ancient test_github_issue1062
# Tests marked @connected skip themselves in this case

# possibly an actual bug: test_env_modules

export PATH:=$(shell pybuild --print build_dir --interpreter python3 --name $(PYBUILD_NAME))/bin:$(PATH)

# Force the use of python3's sphinx-build.
export SPHINXBUILD=/usr/share/sphinx/scripts/python3/sphinx-build

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PATH=$(shell pybuild --print build_dir --interpreter python3)/bin:$(PATH) \
	PYTHONPATH=$(shell pybuild --print build_dir --interpreter python3) \
		python3 setup.py build_sphinx

execute_after_dh_installdocs:
	find debian -name '__pycache__' -o name '.gitignore' | xargs rm -rf

# the modules.sh is a workaround for #928826; putting it in PYBUILD_BEFORE_TEST_python3 doesn't work
override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	. /etc/profile.d/modules.sh && PYBUILD_SYSTEM=custom dh_auto_test
endif

override_dh_installdocs:
	dh_installdocs
	rm -rf debian/$(DOCPACKAGE)/usr/share/doc/snakemake/html
	rm -rf debian/$(DOCPACKAGE)/usr/share/doc/snakemake/examples
	mkdir -p debian/$(DOCPACKAGE)/usr/share/doc/snakemake/html
	mkdir -p debian/$(DOCPACKAGE)/usr/share/doc/snakemake/examples
	cp -r build/sphinx/html/* debian/$(DOCPACKAGE)/usr/share/doc/snakemake/html/
	cp -r examples/* debian/$(DOCPACKAGE)/usr/share/doc/snakemake/examples
ifneq (snakemake,$(TESTPACKAGE))
	if [ -d debian/snakemake/usr/share/doc/snakemake/tests/ ]; then \
	    mv debian/snakemake/usr/share/doc/snakemake/tests debian/$(TESTPACKAGE)/usr/share/doc/snakemake/ ; \
	fi
endif

override_dh_auto_clean:
	dh_auto_clean
	find . -name '__pycache__' | xargs -r rm -r
	rm -rf .snakemake snakemake.egg-info

=== debian/tests/control ===
# minimal Depends smoke test
Test-Command: cp tests/test_bash/Snakefile $AUTOPKGTEST_TMP && cd $AUTOPKGTEST_TMP && snakemake --cores 1 && grep -e bash test.out
Depends: snakemake
Restrictions: allow-stderr

# upstream's tests
Tests: run-unit-test
Depends: snakemake,
         environment-modules,
         r-base-core,
         python3-connection-pool,
         python3-ftputil,
         python3-jinja2,
         python3-pandas,
         python3-pygraphviz,
         python3-pytest,
         python3-requests-mock,
         stress
Restrictions: allow-stderr
